다음을 통해 공유


Monitors - List App Services

NewRelic 리소스에서 현재 모니터링 중인 앱 서비스 리소스를 나열합니다.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/NewRelic.Observability/monitors/{monitorName}/listAppServices?api-version=2024-10-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
monitorName
path True

string

모니터 리소스의 이름

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대/소문자를 구분하지 않습니다.

subscriptionId
path True

string

minLength: 1

대상 구독의 ID입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 필수 형식 Description
userEmail True

string

pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$

사용자 전자 메일

azureResourceIds

string[]

Azure 리소스 ID

응답

Name 형식 Description
200 OK

AppServicesListResponse

ARM 작업이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Microsoft Entra ID OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Monitors_ListAppServices_MaximumSet_Gen
Monitors_ListAppServices_MinimumSet_Gen

Monitors_ListAppServices_MaximumSet_Gen

샘플 요청

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01

{
  "azureResourceIds": [
    "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
  ],
  "userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}

샘플 응답

{
  "value": [
    {
      "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz",
      "agentVersion": "owxkssnbp",
      "agentStatus": "vclwfecbppsfaygdccfu"
    }
  ],
  "nextLink": "http://testlink.com"
}

Monitors_ListAppServices_MinimumSet_Gen

샘플 요청

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01

{
  "azureResourceIds": [
    "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
  ],
  "userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}

샘플 응답

{
  "value": [],
  "nextLink": null
}

정의

Name Description
AppServiceInfo

NewRelic OneAgent가 설치된 VM 리소스에 대한 세부 정보

AppServicesGetRequest

앱 서비스의 요청은 작업을 가져옵니다.

AppServicesListResponse

App Services 작업 목록의 응답입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

AppServiceInfo

NewRelic OneAgent가 설치된 VM 리소스에 대한 세부 정보

Name 형식 Description
agentStatus

string

App Service에 설치된 NewRelic 에이전트의 상태입니다.

agentVersion

string

App Service에 설치된 NewRelic 에이전트의 버전입니다.

azureResourceId

string

Azure App Service 리소스 ID

AppServicesGetRequest

앱 서비스의 요청은 작업을 가져옵니다.

Name 형식 Description
azureResourceIds

string[]

Azure 리소스 ID

userEmail

string

pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$

사용자 전자 메일

AppServicesListResponse

App Services 작업 목록의 응답입니다.

Name 형식 Description
nextLink

string (uri)

항목의 다음 페이지에 대한 링크

value

AppServiceInfo[]

이 페이지의 AppServiceInfo 항목

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.